Package Details: lazpaint-gtk2 6.4.1-3

Git Clone URL: https://aur.archlinux.org/lazpaint-gtk2.git (read-only)
Package Base: lazpaint-gtk2
Description: Image editor, like PaintBrush or Paint.Net, written in Lazarus (Free Pascal).
Upstream URL: http://sourceforge.net/projects/lazpaint/
Licenses: GPL3, LGPL
Conflicts: lazpaint-qt4
Provides: lazpaint
Submitter: dobo
Maintainer: dobo
Last Packager: dobo
Votes: 2
Popularity: 0.000026
First Submitted: 2013-08-21 10:13
Last Updated: 2015-11-13 19:45

Latest Comments

i336 commented on 2016-05-12 11:54

I'm getting:

/tmp/pacaurtmp-i336/lazpaint-gtk2/src/bgrabitmap8.7/part3d.inc(496,1) Fatal: Internal error 2012090607

Not sure what to make of this - the one FPC bugtracker thread I found (http://bugs.freepascal.org/view.php?id=23916) said that it had been resolved (?).

Maybe this is relevant: http://forum.lazarus.freepascal.org/index.php?topic=30987.0

Hwiparam commented on 2015-06-20 15:54

Unable to build - ERROR: Broken dependency: bgracontrols 3.6>bgracontrols 3.6, same with lazpaint-qt4.
community/fpc 2.6.4-1 [installed]
community/lazarus 1.4.0-2 [installed]
http://wklej.org/id/1742744/ - full output if necessary.

sirocco commented on 2015-05-08 04:26

The compilation is completed without any problems with the lazarus 1.2.6.

sirocco commented on 2015-05-06 02:51

I get an error, last lines:

RunTool /usr/bin/fpc "-iWTOTP"
RunTool /usr/bin/fpc "-va" "compilertest.pas"
TFPCTargetConfigCache.Update: has changed
TBuildManager.SetBuildTarget Old=i386-linux-gtk2 New=i386-linux-gtk2 FPC=True LCL=False
TFPCTargetConfigCache.NeedsUpdate TargetOS="linux" TargetCPU="i386" Options="" compiler file changed "/usr/bin/fpc" FileAge=1394619667 StoredAge=0
TFPCTargetConfigCache.Update /usr/bin/fpc TargetOS=linux TargetCPU=i386 CompilerOptions= ExtraOptions= PATH=/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl
RunTool /usr/bin/fpc "-iWTOTP" "-Pi386" "-Tlinux"
RunTool /usr/bin/fpc "-va" "-Pi386" "-Tlinux" "compilertest.pas"
TFPCTargetConfigCache.Update: has changed
ERROR: Broken dependency: bgracontrols 3.6>bgracontrols 3.6
==> ERROR: A failure occurred in build().
Aborting...

dobo commented on 2014-05-22 22:20

Updated, thanks.

sirocco commented on 2014-05-22 02:58

May be better to build with bgra-controls-3.2-20140421?

http://forum.lazarus.freepascal.org/index.php/topic,12037.msg148295.html#msg148295